curl -X GET "https://api-integration.ollang.com/health"
const response = await fetch("https://api-integration.ollang.com/health", {
method: "GET",
});
const healthStatus = await response.json();
console.log("Health status:", healthStatus);
import requests
response = requests.get('https://api-integration.ollang.com/health')
health_status = response.json()
print("Health status:", health_status)
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/health',
CURLOPT_RETURNTRANSFER => true,
));
$response = curl_exec($curl);
$healthStatus = json_decode($response, true);
curl_close($curl);
echo "Health status: " . json_encode($healthStatus);
package main
import (
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api-integration.ollang.com/health")
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
var healthStatus map[string]interface{}
json.Unmarshal(body, &healthStatus)
fmt.Println("Health status:", healthStatus)
}
HttpResponse<String> response = Unirest.get("https://api-integration.ollang.com/health")
.asString();
JSONObject healthStatus = new JSONObject(response.getBody());
System.out.println("Health status: " + healthStatus.toString());
{
"time": 1704711600000,
"status": "OK"
}
{
"error": "Application unhealthy state",
"message": "Service is experiencing internal issues",
"code": -6
}
{
"error": "Service Unavailable",
"message": "Service is temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}
Ollang API Reference
Health Check
Check the health status and availability of the Integration API service
GET
/
health
curl -X GET "https://api-integration.ollang.com/health"
const response = await fetch("https://api-integration.ollang.com/health", {
method: "GET",
});
const healthStatus = await response.json();
console.log("Health status:", healthStatus);
import requests
response = requests.get('https://api-integration.ollang.com/health')
health_status = response.json()
print("Health status:", health_status)
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/health',
CURLOPT_RETURNTRANSFER => true,
));
$response = curl_exec($curl);
$healthStatus = json_decode($response, true);
curl_close($curl);
echo "Health status: " . json_encode($healthStatus);
package main
import (
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api-integration.ollang.com/health")
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
var healthStatus map[string]interface{}
json.Unmarshal(body, &healthStatus)
fmt.Println("Health status:", healthStatus)
}
HttpResponse<String> response = Unirest.get("https://api-integration.ollang.com/health")
.asString();
JSONObject healthStatus = new JSONObject(response.getBody());
System.out.println("Health status: " + healthStatus.toString());
{
"time": 1704711600000,
"status": "OK"
}
{
"error": "Application unhealthy state",
"message": "Service is experiencing internal issues",
"code": -6
}
{
"error": "Service Unavailable",
"message": "Service is temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}
Check the health status of the Integration API service. This endpoint is used to monitor service availability and is typically called by load balancers, monitoring systems, and health check tools to ensure the service is operational.
/health reports whether api-integration.ollang.com is reachable and
healthy from your network. For platform-wide availability, open incidents,
and scheduled maintenance, see
status.ollang.com.curl -X GET "https://api-integration.ollang.com/health"
const response = await fetch("https://api-integration.ollang.com/health", {
method: "GET",
});
const healthStatus = await response.json();
console.log("Health status:", healthStatus);
import requests
response = requests.get('https://api-integration.ollang.com/health')
health_status = response.json()
print("Health status:", health_status)
$curl = curl_init();
curl_setopt_array($curl, array(
CURLOPT_URL => 'https://api-integration.ollang.com/health',
CURLOPT_RETURNTRANSFER => true,
));
$response = curl_exec($curl);
$healthStatus = json_decode($response, true);
curl_close($curl);
echo "Health status: " . json_encode($healthStatus);
package main
import (
"encoding/json"
"fmt"
"io"
"net/http"
)
func main() {
resp, err := http.Get("https://api-integration.ollang.com/health")
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := io.ReadAll(resp.Body)
var healthStatus map[string]interface{}
json.Unmarshal(body, &healthStatus)
fmt.Println("Health status:", healthStatus)
}
HttpResponse<String> response = Unirest.get("https://api-integration.ollang.com/health")
.asString();
JSONObject healthStatus = new JSONObject(response.getBody());
System.out.println("Health status: " + healthStatus.toString());
Authorizations
This endpoint does not require any authentication. It is publicly accessible to allow monitoring systems and load balancers to check service health without API keys.You do not need to enter an X-Api-Key for this endpoint. You can leave the
X-Api-Key field empty.
Response
The response contains the current health status of the service with a timestamp and status indicator.number
Unix timestamp (in milliseconds) indicating when the health check was
performed.
string
Current status of the service. Possible values are: -
OK - Service is
healthy and operational - NOK - Service is experiencing issues (rarely
returned; usually results in HTTP error){
"time": 1704711600000,
"status": "OK"
}
{
"error": "Application unhealthy state",
"message": "Service is experiencing internal issues",
"code": -6
}
{
"error": "Service Unavailable",
"message": "Service is temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}
HTTP Status Codes
HTTP Status
OK - Service is healthy and all systems are operational.
HTTP Status
Internal Server Error - Service is unhealthy due to internal issues.
HTTP Status
Service Unavailable - Service is temporarily unavailable or under
maintenance.
Was this page helpful?